# Driver_XXX

## Functions

int | `HIC_Driver_Get_Window_Width`
int | `HIC_Driver_Get_Window_Height`
int | `HIC_Driver_Is_Double_Buffering`
void * | `HIC_Driver_Get_HDC`
int | `HIC_Driver_Tristrip_Has_Valid_DL`
void | `HIC_Driver_glActiveTextureARB`
void | `HIC_Driver_ENSURE_ALPHA_TEST_ON`
void | `HIC_Driver_ENSURE_ALPHA_TEST_OFF`
void | `HIC_Driver_ENSURE_TEXTURES_ON`
void | `HIC_Driver_ENSURE_TEXTURES_OFF`
void | `HIC_Driver_FORCE_TEXTURE_GEN_OFF`
void | `HIC_Driver_Bind_Image_As_Texture`
void | `HIC_Driver_Show_Projection_Matrix`
void | `HIC_Driver_Draw_Clear_Window`
long | `HIC_Driver_Get_Surface`

## Detailed Description

group Driver_XXX

## Function Documentation

int HIC_Driver_Get_Window_Width(HIC_Rendition *nr)

  The behavior of this function is driver and platform specific. This function returns the window width as an int.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    An int.

int HIC_Driver_Get_Window_Height(HIC_Rendition *nr)

  The behavior of this function is driver and platform specific. This function returns the window height as an int.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    An int.

int HIC_Driver_Is_Double_Buffering(HIC_Rendition *nr)

  The behavior of this function is driver and platform specific. This function returns a boolean which is true if double buffering is in effect, false if double buffering is not in effect.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A boolean, true if double buffering is in effect, otherwise false.

void *HIC_Driver_Get_HDC(HIC_Rendition *nr)

  This function gets the HDC associated with the current driver. The behavior of this function is driver and platform specific.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A void pointer.

int HIC_Driver_Tristrip_Has_Valid_DL(HIC_Rendition *nr, HIC_Tristrip *ts)

  The behavior of this function is driver and platform specific. This function returns a boolean which is true if driver tristrip has a valid display list, false if driver tristrip has an invalid display list.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - ts – A pointer to a const HIC_Tristrip.

  Returns

    A boolean, true if tristrip has valid display list, otherwise false.

void HIC_Driver_glActiveTextureARB(HIC_Rendition *nr, int number)

  The behavior of this function is driver and platform specific. This is only valid with opengl driver and corresponds to the gl call ActiveTextureARB.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - number – An int.

void HIC_Driver_ENSURE_ALPHA_TEST_ON(HIC_Rendition *nr, int number)

  The behavior of this function is driver and platform specific.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - number – An int.

void HIC_Driver_ENSURE_ALPHA_TEST_OFF(HIC_Rendition *nr, int number)

  The behavior of this function is driver and platform specific.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - number – An int.

void HIC_Driver_ENSURE_TEXTURES_ON(HIC_Rendition *nr, int number)

  The behavior of this function is driver and platform specific.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - number – An int.

void HIC_Driver_ENSURE_TEXTURES_OFF(HIC_Rendition *nr, int number)

  The behavior of this function is driver and platform specific.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - number – An int.

void HIC_Driver_FORCE_TEXTURE_GEN_OFF(HIC_Rendition *nr, int number)

  The behavior of this function is driver and platform specific.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - number – An int.

void HIC_Driver_Bind_Image_As_Texture(HIC_Rendition *nr, HIC_Image *image)

  The behavior of this function is driver and platform specific.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - image – A pointer to const HIC_Image.

void HIC_Driver_Show_Projection_Matrix(HIC_Rendition *nr, float matrix[])

void HIC_Driver_Draw_Clear_Window(HIC_Rendition *nr, HIC_Int_Rectangle *extent)

long HIC_Driver_Get_Surface(HIC_Rendition *nr, int index)

  This function returns the surface pointer for the driver. Currently only valid with the DX9 driver.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A HC_POINTER_SIZED_INT.